Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.request.processor
Class LoggingRequestProcessor

    java.lang.Object
      org.modeshape.graph.request.processor.RequestProcessor
          org.modeshape.graph.request.processor.LoggingRequestProcessor

    @Immutable
    public class LoggingRequestProcessor

extends RequestProcessor

A `RequestProcessor` implementation that wraps another and that logs messages at the supplied level.

Nested Class Summary

Nested classes/interfaces inherited from class org.modeshape.graph.request.processor.RequestProcessor
`RequestProcessor.LocationWithDepth`

Constructor Summary
`LoggingRequestProcessor(RequestProcessor delegate, Logger logger, Logger.Level level)`

Method Summary
`void` | `close()` Close this processor, allowing it to clean up any open resources.
`void` | `process(AccessQueryRequest request)` Process a request to query a workspace with an access query, which is is a low-level atomic query that is part of a larger, planned query.
`void` | `process(CloneBranchRequest request)` Process a request to clone a branch into a new workspace.
`void` | `process(CloneWorkspaceRequest request)` Process a request to clone an existing workspace as a new workspace.
`void` | `process(CollectGarbageRequest request)` Process a request to collect garbage.
`void` | `process(CompositeRequest request)` Process a request that is composed of multiple other (non-composite) requests.
`void` | `process(CopyBranchRequest request)` Process a request to copy a branch into another location.
`void` | `process(CreateNodeRequest request)` Process a request to create a node at a specified location.
`void` | `process(CreateWorkspaceRequest request)` Process a request to create a new workspace.
`void` | `process(DeleteBranchRequest request)` Process a request to delete a branch at a specified location.
`void` | `process(DeleteChildrenRequest request)` Process a request to delete all of the child nodes under the supplied existing node.
`void` | `process(DestroyWorkspaceRequest request)` Process a request to permanently destroy a workspace.
`void` | `process(FullTextSearchRequest request)` Process a request to search a workspace.
`void` | `process(GetWorkspacesRequest request)` Process a request to get the information about the available workspaces.
`void` | `process(LockBranchRequest request)` Process a request to lock a node or branch within a workspace The default implementation of this method does nothing, as most connectors will not support locking.
`void` | `process(MoveBranchRequest request)` Process a request to move a branch at a specified location into a different location.
`void` | `process(ReadAllChildrenRequest request)` Process a request to read all of the children of a node.
`void` | `process(ReadAllPropertiesRequest request)` Process a request to read the properties of a node at the supplied location.
`void` | `process(ReadBlockOfChildrenRequest request)` Process a request to read a block of the children of a node.
`void` | `process(ReadBranchRequest request)` Process a request to read a branch or subgraph that's below a node at a specified location.
`void` | `process(ReadNextBlockOfChildrenRequest request)` Process a request to read the next block of the children of a node, starting after a previously-retrieved child.
`void` | `process(ReadNodeRequest request)` Process a request to read the properties and children of a node at the supplied location.
`void` | `process(ReadPropertyRequest request)` Process a request to read a single property of a node at the supplied location.
`void` | `process(RemovePropertyRequest request)` Process a request to remove the specified property from a node.
`void` | `process(RenameNodeRequest request)` Process a request to rename a node specified location into a different location.
`void` | `process(Request request)` Process a request by determining the type of request and delegating to the appropriate `process` method for that type.
`void` | `process(SetPropertyRequest request)` Process a request to set the specified property on a node.
`void` | `process(UnlockBranchRequest request)` Process a request to unlock a node or branch within a workspace The default implementation of this method does nothing, as most connectors will not support locking.
`void` | `process(UpdatePropertiesRequest request)` Process a request to remove the specified properties from a node.
`void` | `process(UpdateValuesRequest request)` Process a request to add and/or remove the specified values from a property on the given node.
`void` | `process(VerifyNodeExistsRequest request)` Process a request to verify that a node exists at the supplied location.
`void` | `process(VerifyWorkspaceRequest request)` Process a request to verify a named workspace.

Methods inherited from class org.modeshape.graph.request.processor.RequestProcessor
`absoluteMaximumDepthForBranchReads, completeRequest, getChanges, getDefaultCachePolicy, getExecutionContext, getNowInUtc, getSourceName, includeChildrenInSubgraph, notifyObserverOfChanges, process, processUnknownRequest, recordChange, setCacheableInfo, setCacheableInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoggingRequestProcessor

    public LoggingRequestProcessor(RequestProcessor delegate,
                                   Logger logger,
                                   Logger.Level level)

Parameters:
  `delegate` - the processor to which this processor delegates
  `logger` - the LOGGER that should be used
  `level` - the level of the log messages; defaults to `Logger.Level#TRACE`

Method Detail

### process

    public void process(VerifyWorkspaceRequest request)

  Process a request to verify a named workspace.

  This method does nothing if the request is null.

  Specified by:
    `process` in class `RequestProcessor`
  Parameters:
    `request` - the request
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.VerifyWorkspaceRequest)`

### process

    public void process(GetWorkspacesRequest request)

  Process a request to get the information about the available workspaces.

  This method does nothing if the request is null.

  Specified by:
    `process` in class `RequestProcessor`
  Parameters:
    `request` - the request
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.GetWorkspacesRequest)`

### process

    public void process(CreateWorkspaceRequest request)

  Process a request to create a new workspace.

  This method does nothing if the request is null.

  Specified by:
    `process` in class `RequestProcessor`
  Parameters:
    `request` - the request
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.CreateWorkspaceRequest)`

### process

    public void process(CloneBranchRequest request)

  Process a request to clone a branch into a new workspace.

  This method does nothing if the request is null.

  Specified by:
    `process` in class `RequestProcessor`
  Parameters:
    `request` - the request
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.CloneBranchRequest)`

### process

    public void process(CloneWorkspaceRequest request)

  Process a request to clone an existing workspace as a new workspace.

  This method does nothing if the request is null.

  Specified by:
    `process` in class `RequestProcessor`
  Parameters:
    `request` - the request
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.CloneWorkspaceRequest)`

### process

    public void process(DestroyWorkspaceRequest request)

  Process a request to permanently destroy a workspace.

  This method does nothing if the request is null.

  Specified by:
    `process` in class `RequestProcessor`
  Parameters:
    `request` - the request
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.DestroyWorkspaceRequest)`

### process

    public void process(CopyBranchRequest request)

  Process a request to copy a branch into another location.

  This method does nothing if the request is null.

  Specified by:
    `process` in class `RequestProcessor`
  Parameters:
    `request` - the copy request
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.CopyBranchRequest)`

### process

    public void process(CreateNodeRequest request)

  Process a request to create a node at a specified location.

  This method does nothing if the request is null.

  Specified by:
    `process` in class `RequestProcessor`
  Parameters:
    `request` - the create request
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.CreateNodeRequest)`

### process

    public void process(DeleteBranchRequest request)

  Process a request to delete a branch at a specified location.

  This method does nothing if the request is null.

  Specified by:
    `process` in class `RequestProcessor`
  Parameters:
    `request` - the delete request
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.DeleteBranchRequest)`

### process

    public void process(DeleteChildrenRequest request)

  Process a request to delete all of the child nodes under the supplied existing node.

  This method does nothing if the request is null.

  Overrides:
    `process` in class `RequestProcessor`
  Parameters:
    `request` - the delete request
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.DeleteChildrenRequest)`

### process

    public void process(MoveBranchRequest request)

  Process a request to move a branch at a specified location into a different location.

  This method does nothing if the request is null.

  Specified by:
    `process` in class `RequestProcessor`
  Parameters:
    `request` - the move request
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.MoveBranchRequest)`

### process

    public void process(VerifyNodeExistsRequest request)

  Process a request to verify that a node exists at the supplied location.

  This method does nothing if the request is null. Unless overridden, this method converts the request that `reads the node` and uses the result to determine if the node exists.

  Overrides:
    `process` in class `RequestProcessor`
  Parameters:
    `request` - the read request
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.VerifyNodeExistsRequest)`

### process

    public void process(ReadAllChildrenRequest request)

  Process a request to read all of the children of a node.

  This method does nothing if the request is null.

  Specified by:
    `process` in class `RequestProcessor`
  Parameters:
    `request` - the read request
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.ReadAllChildrenRequest)`

### process

    public void process(ReadAllPropertiesRequest request)

  Process a request to read the properties of a node at the supplied location.

  This method does nothing if the request is null.

  Specified by:
    `process` in class `RequestProcessor`
  Parameters:
    `request` - the read request
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.ReadAllPropertiesRequest)`

### process

    public void process(UpdatePropertiesRequest request)

  Process a request to remove the specified properties from a node.

  This method does nothing if the request is null.

  Specified by:
    `process` in class `RequestProcessor`
  Parameters:
    `request` - the remove request
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.UpdatePropertiesRequest)`

### process

    public void process(UpdateValuesRequest request)

  Process a request to add and/or remove the specified values from a property on the given node.

  This method does nothing if the request is null.

  Overrides:
    `process` in class `RequestProcessor`
  Parameters:
    `request` - the remove request
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.UpdateValuesRequest)`

### process

    public void process(CompositeRequest request)

  Process a request that is composed of multiple other (non-composite) requests. If any of the embedded requests `has an error` after it is processed, each of the embedded requests will be marked with the error and the submitted composite request will be marked with an error. If one of the embedded requests attempts to `make a change` and results in an error, then the processing of all remaining embedded requests is aborted and the composite request will be marked with only this error from the change request.

  This method does nothing if the request is null.

  Overrides:
    `process` in class `RequestProcessor`
  Parameters:
    `request` - the composite request
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.CompositeRequest)`

### process

    public void process(ReadBlockOfChildrenRequest request)

  Process a request to read a block of the children of a node. The block is defined by a `starting index` and a `maximum number of children to include in the block`.

  This method does nothing if the request is null. The default implementation converts the command to a `ReadAllChildrenRequest`, and then finds the children within the block. Obviously for large numbers of children, this implementation may not be efficient and may need to be overridden.

  Overrides:
    `process` in class `RequestProcessor`
  Parameters:
    `request` - the read request
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.ReadBlockOfChildrenRequest)`

### process

    public void process(ReadNextBlockOfChildrenRequest request)

  Process a request to read the next block of the children of a node, starting after a previously-retrieved child.

  This method does nothing if the request is null. The default implementation converts the command to a `ReadAllChildrenRequest`, and then finds the children within the block. Obviously for large numbers of children, this implementation may not be efficient and may need to be overridden.

  Overrides:
    `process` in class `RequestProcessor`
  Parameters:
    `request` - the read request
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.ReadNextBlockOfChildrenRequest)`

### process

    public void process(ReadBranchRequest request)

  Process a request to read a branch or subgraph that's below a node at a specified location.

  This method does nothing if the request is null. The default implementation processes the branch by submitting the equivalent requests to `read the nodes` and the `children`. It starts by doing this for the top-level node, then proceeds for each of the children of that node, and so forth.

  Overrides:
    `process` in class `RequestProcessor`
  Parameters:
    `request` - the request to read the branch
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.ReadBranchRequest)`

### process

    public void process(ReadNodeRequest request)

  Process a request to read the properties and children of a node at the supplied location.

  This method does nothing if the request is null. Unless overridden, this method converts the single request into a `ReadAllChildrenRequest` and a `ReadAllPropertiesRequest`.

  Overrides:
    `process` in class `RequestProcessor`
  Parameters:
    `request` - the read request
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.ReadNodeRequest)`

### process

    public void process(ReadPropertyRequest request)

  Process a request to read a single property of a node at the supplied location.

  This method does nothing if the request is null. Unless overridden, this method converts the request that `reads the node` and simply returns the one property.

  Overrides:
    `process` in class `RequestProcessor`
  Parameters:
    `request` - the read request
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.ReadPropertyRequest)`

### process

    public void process(SetPropertyRequest request)

  Process a request to set the specified property on a node.

  This method does nothing if the request is null. Unless overridden, this method converts this request into a `UpdatePropertiesRequest`.

  Overrides:
    `process` in class `RequestProcessor`
  Parameters:
    `request` - the request to set the property
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.SetPropertyRequest)`

### process

    public void process(RemovePropertyRequest request)

  Process a request to remove the specified property from a node.

  This method does nothing if the request is null. Unless overridden, this method converts this request into a `UpdatePropertiesRequest`.

  Overrides:
    `process` in class `RequestProcessor`
  Parameters:
    `request` - the request to remove the property
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.RemovePropertyRequest)`

### process

    public void process(RenameNodeRequest request)

  Process a request to rename a node specified location into a different location.

  This method does nothing if the request is null. Unless overridden, this method converts the rename into a `move`. However, this only works if the `request` has a `path` for its `location`. (If not, this method throws an `UnsupportedOperationException` and must be overridden.)

  Overrides:
    `process` in class `RequestProcessor`
  Parameters:
    `request` - the rename request
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.RenameNodeRequest)`

### process

    public void process(LockBranchRequest request)

  Process a request to lock a node or branch within a workspace

  The default implementation of this method does nothing, as most connectors will not support locking. Any implementation of this method should do nothing if the request is null.

  Implementations that do support locking should throw a `LockFailedException` if the request could not be fulfilled.

  Overrides:
    `process` in class `RequestProcessor`
  Parameters:
    `request` - the request
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.LockBranchRequest)`

### process

    public void process(UnlockBranchRequest request)

  Process a request to unlock a node or branch within a workspace

  The default implementation of this method does nothing, as most connectors will not support locking. Any implementation of this method should do nothing if the request is null.

  Overrides:
    `process` in class `RequestProcessor`
  Parameters:
    `request` - the request
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.UnlockBranchRequest)`

### process

    public void process(AccessQueryRequest request)

  Process a request to query a workspace with an access query, which is is a low-level atomic query that is part of a larger, planned query.

  The default implementation of this method behaves as though the implementation does not support queries by setting an error on the request

  Overrides:
    `process` in class `RequestProcessor`
  Parameters:
    `request` - the request
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.AccessQueryRequest)`

### process

    public void process(FullTextSearchRequest request)

  Process a request to search a workspace.

  The default implementation of this method behaves as though the implementation does not support full-text searches by setting an error on the request

  Overrides:
    `process` in class `RequestProcessor`
  Parameters:
    `request` - the request
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.FullTextSearchRequest)`

### process

    public void process(CollectGarbageRequest request)

  Process a request to collect garbage.

  The default implementation of this method does nothing.

  Overrides:
    `process` in class `RequestProcessor`
  Parameters:
    `request` - the request
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.CollectGarbageRequest)`

### process

    public void process(Request request)

  Process a request by determining the type of request and delegating to the appropriate `process` method for that type.

  This method does nothing if the request is null.

  Overrides:
    `process` in class `RequestProcessor`
  Parameters:
    `request` - the general request
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.Request)`

### close

    public void close()

  Close this processor, allowing it to clean up any open resources.

  Overrides:
    `close` in class `RequestProcessor`
  See Also:
    `RequestProcessor.close()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.